FacetIndexingParams (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.index.params.FacetIndexingParams interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.index.params
Interface FacetIndexingParams

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  EnhancementsIndexingParams

All Known Implementing Classes:
  DefaultEnhancementsIndexingParams, DefaultFacetIndexingParams, PerDimensionIndexingParams

    public interface FacetIndexingParams

extends Serializable

Parameters on how facets are to be written to the index. For example, which fields and terms are used to refer to the indexed posting list.

If non-default parameters were used during indexing, the same parameters must also be passed during faceted search. This requirement is analogous to the requirement during search to know which fields were indexed, and which Analyzer was used on the text.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`int` | `drillDownTermText(CategoryPath path, char[] buffer)` Return the drilldown Term-Text which does not need to do any allocations.
`Iterable<CategoryListParams>` | `getAllCategoryListParams()` Return info about all category lists in the index.
`CategoryListParams` | `getCategoryListParams(CategoryPath category)` The name of the category-list to put this category in, or null if this category should not be aggregatable.
`char` | `getFacetDelimChar()` Get the delimiter character used internally for drill-down terms
`OrdinalPolicy` | `getOrdinalPolicy()` Get the policy for indexing category ordinals, used for deciding how "high" to climb in taxonomy from a category when ingesting its ordinals
`int` | `getPartitionSize()` Get the partition size.
`PathPolicy` | `getPathPolicy()` Get the policy for indexing category paths, used for deciding how "high" to climb in taxonomy from a category when ingesting its category paths.

Method Detail

### getCategoryListParams

    CategoryListParams getCategoryListParams(CategoryPath category)

  The name of the category-list to put this category in, or null if this category should not be aggregatable.

  By default, all categories are written to the same category list, but applications which know in advance that in some situations only parts of the category hierarchy needs to be counted can divide the categories into two or more different category lists.

  If null is returned for a category, it means that this category should not appear in any category list, and thus counts for it cannot be aggregated. This category can still be used for drill-down, even though the count for it is not known.

### getAllCategoryListParams

    Iterable<CategoryListParams> getAllCategoryListParams()

  Return info about all category lists in the index.

  See Also:
    `getCategoryListParams(CategoryPath)`

### drillDownTermText

    int drillDownTermText(CategoryPath path,
                          char[] buffer)

  Return the drilldown Term-Text which does not need to do any allocations. The number of chars set is returned.

  Note: Make sure `buffer` is large enough.

  See Also:
    `CategoryPath.charsNeededForFullPath()`

### getPartitionSize

    int getPartitionSize()

  Get the partition size. Same value should be used during the life time of an index. At search time this value is compared with actual taxonomy size and their minimum is used.

### getPathPolicy

    PathPolicy getPathPolicy()

  Get the policy for indexing category paths, used for deciding how "high" to climb in taxonomy from a category when ingesting its category paths.

### getOrdinalPolicy

    OrdinalPolicy getOrdinalPolicy()

  Get the policy for indexing category ordinals, used for deciding how "high" to climb in taxonomy from a category when ingesting its ordinals

### getFacetDelimChar

    char getFacetDelimChar()

  Get the delimiter character used internally for drill-down terms

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD